OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
GridCombinerOp< GridT > Struct Template Reference

Combines multiple grids into one by stealing leaf nodes and summing voxel values This class is designed to work with thread local storage containers such as tbb::combinable. More...

`#include <PointMask.h>`

## Public Types
using | CombinableT = typename tbb::combinable< GridT >
using | TreeT = typename GridT::TreeType
using | LeafT = typename TreeT::LeafNodeType
using | ValueType = typename TreeT::ValueType
using | SumOp = tools::valxform::SumOp< typename TreeT::ValueType >

## Public Member Functions
| GridCombinerOp (GridT &grid)
void | operator() (const GridT &grid)

## Detailed Description

### template<typename GridT>
struct openvdb::v7_0::points::point_mask_internal::GridCombinerOp< GridT >

Combines multiple grids into one by stealing leaf nodes and summing voxel values This class is designed to work with thread local storage containers such as tbb::combinable.

## Member Typedef Documentation

## ◆ CombinableT

using CombinableT = typename tbb::combinable<GridT>

## ◆ LeafT

using LeafT = typename TreeT::LeafNodeType

## ◆ SumOp

using SumOp = tools::valxform::SumOp<typename TreeT::ValueType>

## ◆ TreeT

using TreeT = typename GridT::TreeType

## ◆ ValueType

using ValueType = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ GridCombinerOp()

GridCombinerOp | ( | GridT & | grid | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const GridT & | grid | ) |
| inline

The documentation for this struct was generated from the following file:

- PointMask.h